## cinder 9.0.0~rc1

=== debian/changelog ===
cinder (2:9.0.0~rc1-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 01 Oct 2016 10:37:26 +0000

cinder (2:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed namespace list when generating cinder.conf.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased nozfs patches.
  * Added PYTHONPATH=. when building sphinx doc.
  * Black list 3 unit tests that non-deterministically fail:
    - test_volume.VolumeMigrationTestCase.test_retype_volume_migration_failed
    - test_volume.VolumeMigrationTestCase.test_retype_volume_migration_bad_policy
    - backup.test_backup.BackupTestCase.test_create_backup_with_temp_snapshot

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 21:17:08 +0200
