=== debian/changelog ===
cinder (2:9.0.0-4+4~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 01 Apr 2017 16:43:44 +0000

cinder (2:9.0.0-4) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858692). 

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:22:35 +0200

cinder (2:9.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Ondřej Kobližek ]
  * Patch-out upper constraints of SQLAlchemy
  * Fixed SqlAlchemy worker model (Closes: #846749)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 19 Dec 2016 10:23:09 +0100

cinder (2:9.0.0-2) unstable; urgency=medium

  * Also allows running open-iscsi using OR depends (Closes: #841452).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2016 10:40:22 +0200

cinder (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:32:42 +0200

cinder (2:9.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839197).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:38:45 +0200
