=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -230,7 +230,7 @@
          cinder-common (= ${binary:Version}),
          lvm2,
          qemu-utils,
-         tgt,
+         tgt | open-iscsi,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},
