## cinder 9.1.4

=== requirements.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
 Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 taskflow>=1.26.0 # Apache-2.0
-rtslib-fb>=2.1.41 # Apache-2.0
+rtslib-fb!=2.1.60,!=2.1.61,>=2.1.41 # Apache-2.0
 simplejson>=2.2.0 # MIT
 six>=1.9.0 # MIT
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
