=== debian/changelog ===
cinder (2:9.1.4-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * d/p/fix-emx-driver.patch: VNX: Update sg cache if it already existed.
    (LP: #1677982) 

  [ Corey Bryant ]
  * New upstream point release for OpenStack Newton (LP: #1688557).
  * d/p/fix-emx-driver.patch: Dropped. Included in upstream point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:06:45 -0400

cinder (2:9.1.2-0ubuntu2) yakkety; urgency=medium

  * d/p/log-message-cleanup-for-volume-usage-audit.patch:
    Fixes LP: #1631561.

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 10 Mar 2017 18:20:41 -0300

cinder (2:9.1.2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: Add keystoneauth1 dependency to (Build-)Depends (LP: #1641148).

  [ Chuck Short ]
  * New upstream stable release for OpenStack Newton (LP: #1664306).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 14:02:56 -0500

cinder (2:9.1.0-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1645772).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 29 Nov 2016 12:56:17 -0500

cinder (2:9.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 09:54:51 -0400

cinder (2:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:36:51 -0400

cinder (2:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/p/bug1619246.patch: Drop, included upstream.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/*: Rebased.

  [ James Page ]
  * d/control: Drop tgt to a Recommends, allowing it to be removed in installs
    where tgt is not required (LP: #1079466).
  * d/control: Set correct minimum version of os-brick.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 08:55:56 -0400

cinder (2:9.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/p/bug1619246.patch: Cherry pick fix for scheduling of
    volumes with no volume type set (LP: #1619246).

 -- James Page <james.page@ubuntu.com>  Mon, 05 Sep 2016 16:29:47 +0100

cinder (2:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/p/skip-failing-tests.patch: Dropped, no longer upstream.

  [ Corey Bryant ]
  * d/p/*: Rebased.

  [ James Page ]
  * d/control: Add python-oslo.privsep to BD's.
  * New upstream release.

  [ Corey Bryant ]
  * d/p/google-back-requirements.patch: Rebased.
  * d/control: Add python-pep8 to BDs.

  [ James Page ]
  * New upstream release.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/skip-test-retype-volume-migration-failed.patch: Dropped. Fixed upstream.
  * d/p/*: Rebased.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 09:43:08 +0100

cinder (2:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream version.
  * d/p/google-back-requirements.patch: Rebased.
  * d/p/*: Rebased.
  * d/control: Add python-ipaddress to (Build-)Depends.

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/skip-test-retype-volume-migration-failed.patch: Rebased.
  * d/p/google-back-requirements.patch: Rebased.

  [ James Page ]
  * d/p/fix-i386.patch: Drop, included upstream.
  * New upstream version.
  * d/p/*: Refresh.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 10:12:27 -0400

cinder (2:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/control,d/p/*: Restore BD's for google backup tests, limit patch
    to removal of hard runtime requirement on required dependencies.
  * d/p/Drop-use-of-invalid-assert_called_once-call.patch: Cherry pick
    inflight fix for invalid use of assert methods.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * d/p/skip-test-retype-volume-migration-failed.patch: Skip
    test_retype_volume_migration_failed until bug is resolved.
    https://bugs.launchpad.net/cinder/+bug/1582306
  * d/p/skip-timeout-exception.patch: Skip
    test_snapshot_failure_when_remote_is_unreachable until bug is resolved.
    https://bugs.launchpad.net/cinder/+bug/1582370
  * d/p/skip-timeout-exceptions.patch: Dropped. Fixed upstream.
  * d/p/Drop-use-of-invalid-assert_called_once-call.patch: Dropped. Fixed
    upstream.
  * d/p/google-back-requirements.patch: Rebased.
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Leave paramiko at >= 1.16.0 for b1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2016 09:16:13 -0400
