## cinder 10.0.1

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.8 # Apache-2.0
+pbr<2.0.0,>=1.8 # Apache-2.0
 Babel>=2.3.4 # BSD
 decorator>=3.4.0 # BSD
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
@@ -11,14 +11,14 @@
 httplib2>=0.7.5 # MIT
 iso8601>=0.1.11 # MIT
 ipaddress>=1.0.7;python_version<'3.3' # PSF
-keystoneauth1>=2.16.0 # Apache-2.0
-keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
-lxml>=2.3 # BSD
+keystoneauth1>=2.18.0 # Apache-2.0
+keystonemiddleware>=4.12.0 # Apache-2.0
+lxml!=3.7.0,>=2.3 # BSD
 oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
-oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
+oslo.db>=4.15.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
 oslo.messaging>=5.14.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
@@ -34,19 +34,20 @@
 paramiko>=2.0 # LGPLv2.1+
 Paste # MIT
 PasteDeploy>=1.5.0 # MIT
+psutil>=3.0.1 # BSD
 pycrypto>=2.6 # Public Domain
-pyparsing>=2.0.7 # MIT
+pyparsing>=2.1.0 # MIT
 python-barbicanclient>=4.0.0 # Apache-2.0
 python-glanceclient>=2.5.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
+python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 requests!=2.12.2,>=2.10.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
 Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
-taskflow>=1.26.0 # Apache-2.0
+taskflow>=2.7.0 # Apache-2.0
 rtslib-fb!=2.1.60,!=2.1.61,>=2.1.43 # Apache-2.0
 simplejson>=2.2.0 # MIT
 six>=1.9.0 # MIT
@@ -56,9 +57,9 @@
 suds-jurko>=0.6 # LGPLv3+
 WebOb>=1.6.0 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.vmware>=2.15.0 # Apache-2.0
+oslo.vmware>=2.17.0 # Apache-2.0
 os-brick>=1.8.0 # Apache-2.0
-os-win>=1.1.0 # Apache-2.0
-tooz>=1.28.0 # Apache-2.0
+os-win>=1.4.0 # Apache-2.0
+tooz>=1.47.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0
 castellan>=0.4.0 # Apache-2.0
