=== debian/changelog ===
cinder (2:10.0.1-0ubuntu1) zesty; urgency=medium

  * d/cinder-common.postinst: Make sure permissions are 0750 for /etc/cinder.
    (LP: #1675088) 
  * New upstream point release for OpenStack Ocata. 
  * d/patches/fix-requirements.patch: Pin pbr to version 1.8.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 11 Apr 2017 08:50:02 -0400

cinder (2:10.0.0-0ubuntu2) zesty; urgency=medium

  * debian/cinder-api.install: Move cinder-wsgi back to 
    its regular place. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 11:17:48 -0500

cinder (2:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:19:18 -0500

cinder (2:10.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream release candidate for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 08:29:17 -0500

cinder (2:10.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * debian/apache2-wsgi.conf: DefaultProcessGroup should be cinder-wsgi
    insteam of osapi-volume. (LP: #1655311) 
  * New upstream release for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Feb 2017 10:22:15 -0500

cinder (2:10.0.0~b3-0ubuntu2) zesty; urgency=medium

  * debian/control: Remove bad dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 15:02:05 -0500

cinder (2:10.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * debian/patches/google-back-requirements.patch: Dropped
  * debian/pydist-overrides: Add google-api-python-client and oauth2client.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 09:20:08 -0500

cinder (2:10.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/rules, debian/control, debian/cinder-api.init.in,
    debian/tests/cinder-daemon, debian/apache2.conf: Run cinder API daemon
    under apache2 with mod_wsgi instead of under eventlet.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/google-back-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 12:08:46 -0500

cinder (2:10.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/fix-long-casting.patch: Dropped no longer needed.
  * debian/patches/google-back-requirements.patch: Refreshed
  * debian/control: Bump dependencies.

  [ Corey Bryant ]
  * New upstream version.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Align python-oslo.versionedobjects with upstream.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 16 Nov 2016 15:33:19 -0500
